changeset 6cdff415d3db in tryton-overlay:default
details: https://hg.tryton.org/tryton-overlay?cmd=changeset;node=6cdff415d3db
description:
        app-office/trytond: Versions bump

        (Portage version: 2.3.76/hg/Linux x86_64, signed Manifest commit with 
key 0x574F6EFF4E477517)
        Signed-off-by: Cédric Krier <[email protected]>
diffstat:

 app-office/trytond/Manifest              |   36 +++++-----
 app-office/trytond/trytond-4.4.25.ebuild |  100 ------------------------------
 app-office/trytond/trytond-4.4.26.ebuild |  100 ++++++++++++++++++++++++++++++
 app-office/trytond/trytond-4.6.20.ebuild |  101 ------------------------------
 app-office/trytond/trytond-4.6.21.ebuild |  101 ++++++++++++++++++++++++++++++
 app-office/trytond/trytond-4.8.16.ebuild |  100 ------------------------------
 app-office/trytond/trytond-4.8.17.ebuild |  100 ++++++++++++++++++++++++++++++
 app-office/trytond/trytond-5.0.13.ebuild |  101 ------------------------------
 app-office/trytond/trytond-5.0.14.ebuild |  101 ++++++++++++++++++++++++++++++
 app-office/trytond/trytond-5.2.6.ebuild  |  102 -------------------------------
 app-office/trytond/trytond-5.2.7.ebuild  |  102 +++++++++++++++++++++++++++++++
 11 files changed, 522 insertions(+), 522 deletions(-)

diffs (1101 lines):

diff -r 69a37bc3abee -r 6cdff415d3db app-office/trytond/Manifest
--- a/app-office/trytond/Manifest       Sun Oct 06 15:37:25 2019 +0200
+++ b/app-office/trytond/Manifest       Sun Oct 06 15:39:20 2019 +0200
@@ -8,31 +8,31 @@
 AUX trytond-worker-init.d 827 BLAKE2B 
e87b93697abbbf1be85bfce382ffafe67fa951cd60cab530f64854485fa3d729524936356ec9dc9e2844addb3f92e04f73168e1f977003e1ea59e20126706fa1
 SHA512 
4d49e4b27d089462c86ecad6a7b9ba2143acbdeb60f2287305dedc8c9f8843487a8ab870e9dd9f883f4582949d4672a470d0f2498618aec54feee4db4c4d256b
 DIST trytond-4.0.20.tar.gz 610190 BLAKE2B 
42cece9cca9ad710d5952bc4df6fd45bf7b5a192ebcb5b5c3346323da4903a798c61792e0776c2363be306fd17c9def77467465efa86a024f258af71b4d6a5d6
 SHA512 
f3814af8407810ff8c6e54fb885728b4f48e09ffde634f61d42911cf01872619483f0692ca93f093e0bc61c180a724f24fed45eabd7e1c166ac4aee7ea024d32
 DIST trytond-4.2.22.tar.gz 587995 BLAKE2B 
9201d2ed586f1de34d48df7726466bc86674122d37eb47708103830117e98c8c3ff58cd82b02b539081f7c6f1e90a8fcce398a2952a4a05c496ebb6fc9a74540
 SHA512 
abdf85d0a2bba21f5cff109292903c8d7b63f37a004991e502ceaef9d1dbe04a3abb058e467d2d792e435e94e2e0d3a95f93b8b874a6f6eff48414f8e62bdf06
-DIST trytond-4.4.25.tar.gz 602970 BLAKE2B 
ecb11e336bcbc4093a336833f43a4060aefc306e4fde3ac50e5b514e5856996596ef0b4f5d0043987ab35e9cb896dfa63c77bcff7a6b99fcc943d070fafcd407
 SHA512 
64cff4a5c4cdd972941c52655077f810cc93147eb0d669ff1a243281e7e4dd146329d950f8c002541f17856fbee78a573b657d3d0fe4f781c0884c85ed946f17
-DIST trytond-4.6.20.tar.gz 610984 BLAKE2B 
39a418682a10a0f777f180fdeaca80e527571995e990f9cdf9106d186a277e7d0dfc9d399755d15663723506901445ef54989eb9414d5134617da543accc9020
 SHA512 
ed346ee347ec7383d68787cd76f0c5efb423dd2e444699bf34c64389dac3939c8991a92130276a5781af1fd6870b40d53309b1179326b4a20e976005f4f9b045
-DIST trytond-4.8.16.tar.gz 653901 BLAKE2B 
a3fd65e9a04aba7a5092bbf50665ce14467169ca278f691f38a322d9b1f0dc0b21fc523aee5b6145ab518f0e92162e3c19a09077d3fc80bcfcefba5af8183fcb
 SHA512 
a58e0f02eca6a8ed9b67f4a2e97d2dd1c47ecda379250b557a94ea28141a961f820115c91aaa1b3e83674647f2892bc3590ffe53dd59aa35333e41a69f822703
-DIST trytond-5.0.13.tar.gz 648676 BLAKE2B 
031c875606e3fbca60fce136e82246b80b4e18667118eef8e79acc4a8d9c26913c65c6c7d527ec8c33d051cc9d70de12ce1d1ab108917fafab7af26ce696adfd
 SHA512 
386f12ab3279bef2971bd124de10feb21857eeb1475f8cf28bf157cf2349540d277458405a631d2bc740a9d90ac0b6196a9717ca52c36c33afb0e2ec8946edc5
-DIST trytond-5.2.6.tar.gz 736508 BLAKE2B 
c1b779dc04ee84e339c1b5b3fec65844e60cd40c9da42f8292865e82235dc62d4afe0e714fca64c59db34854e6b440f7eadaa5a75a6dc7ea56d8e7d624e6d791
 SHA512 
4b926840d39cfca49dae83cb6824b38ca04fbff4d323b5d540b877786aedc19a78f3dfc835fe5bffb122ca625bedf5f30934fb3ddb48be39325735216507cdd0
+DIST trytond-4.4.26.tar.gz 603057 BLAKE2B 
1ac7dc4677a26aca78b8fa7980d1cb4832e383a0adcf122f4186c0dc6d93d945943c25fb99c40668b09abd395353abf44ea3080e9b7a88b0f032a52bf6601703
 SHA512 
3a9a1d6632bcbacd77b5c58987d02248f152577a947425b8600b0488c9be540205961b414f36d6c88eacaa6bdf97125ffcec486d34f5124a8353e266c9269872
+DIST trytond-4.6.21.tar.gz 611020 BLAKE2B 
c2312cf40e5bb8a3ffcdf2b10636d55e7b5fd8760ba294b0c1ebac6f727fa40638b59effc7c94c2553550f5e285b53b6ea9ac5f1b7726d59bf7906c86aabf39b
 SHA512 
c280c783b0366aa00933762847dd608a224d4519ec93bc553ba5e2985197a34950a0f500f99c0a3e35f2431cd53b6dfa868ff3a92ebac9ccc04e920e58e69961
+DIST trytond-4.8.17.tar.gz 653948 BLAKE2B 
22a407847647f62c357b9bb1a2819ab89cfe4886d586e7715437ae32faa9d7f5a3243c4bdfde6aeea77cdf9a291a864aff2f561443d8e18a7b1dcb19e6454bd1
 SHA512 
4daa146a8e5f1af8238cedb5124ffae9236484bfe8112e0dbb96a0e88e48927eb86b39b5b49cc9a6c8e60c5783cbdb5c0d4ac1322ccd083c9adb39fddebe0cd5
+DIST trytond-5.0.14.tar.gz 648712 BLAKE2B 
bee18bf69482c1bb785881a277eaadd4ddcb1379cb7fbe5ce4f39cb65e9561550997542a3622e8a38c86318ea736f54d846fee4c20dbcfeeba33f68de087e0a6
 SHA512 
4c289f4e2f6455bcb3a295607e1bf22ea6c36a15779f2bbe7ba2c4182d2b5167dc7bbc3e1f846c8b4339c58e15e54a2dddd6e7d545b91b27872434069fdd5c33
+DIST trytond-5.2.7.tar.gz 736706 BLAKE2B 
8c44cd820885c135c15a001ddd7a548f2321445ea173daeb37969542894a8e51a30c5f0fe8647563e2a5c1d2226355d2194c50eafe431ada5506691930a57a17
 SHA512 
c59f75235ad483934a1732d8a6d6f60ced04a17ea7bffff14d0350d8ffb8e75af69a656c72a107355e3b0bc793a206350762df19f4f57816a5d161f85bf6c96f
 EBUILD trytond-4.0.20.ebuild 2818 BLAKE2B 
6ca6983bf77889af9e1d386159b8fd2536225b2bdce8e83d9b8ceb56ea8406317e784eec2385cc2ed7c92b5c7b238ba78f19857d98da653e367da238fb21b4ef
 SHA512 
3263fac497bb9d3fa10f67d997d368560e27d8bee5c4363a93766d4eec264fddd33cfc299fc6de90de64276d0d7e87082684ecff05d04531cc73006796068f28
 EBUILD trytond-4.2.22.ebuild 2773 BLAKE2B 
ef32ebc72037997440f99cace12f441b078bdd3e477bc65ea8602b4aa5eaa0bfcdc17f2a21572a1690e2d741daad454272db6d6a57f02c0074f8875b2f3bfe46
 SHA512 
bdb2d0725eb0c8d6aac7289f93f6fffcfbb246df6dc88bbad5572d612a7d04536ef8c2ee2acb74417cf36000630180de9ab471707b69df11be153577e7d88da7
-EBUILD trytond-4.4.25.ebuild 2787 BLAKE2B 
d8cb104661475046807012525cd2ab1fa73d2147ba6b6201e170711c219a228f2945e7d56bb2889f291fe12cf5cd9dafb8c0adf50f989a98f69d8bfdc7735749
 SHA512 
86499d7bdb3c336ff998257718f1349ae6c0aa255dc1fdf923c4c66aa0f9dbbed960f833d13dd278549853b2424cd8003f722864ef5f1e8ec6cbdac2b52eaa89
-EBUILD trytond-4.6.20.ebuild 2855 BLAKE2B 
3967410b52e2876e16cb495f4ef602e9afd00e0c1c8055e053699098f124933464aa6e257619b451514287c056345caf116b651e62537bedf94d6a2de565211c
 SHA512 
7133b7f8bb9b0c298812300fe2536ff7d4190f06da5f4920336a44c45ca35c0b7e4f9a3c226aefa0e86996d4b02468217116fa92fb61a792309416c9f7c62499
-EBUILD trytond-4.8.16.ebuild 2771 BLAKE2B 
834816fb0734aa57cbd3d22e55c95c290568e7b4a3306c2bc584b7bd55ea325d27a3be8a96896e9a4c06a42082740fb044f593071028a64949269cf3bff58e8e
 SHA512 
44f3800d558396ca4254b8293b3b12eaab7f94aef761fe241099bc6461602b70bc54ee480ab7a6c02585bd482ef5526266c59ff2fcf31dcc0e34f9fcb4acde95
-EBUILD trytond-5.0.13.ebuild 2828 BLAKE2B 
28a75a18bfbbac66a963b8ebd7e9bd54a030bd74b1b6826c4cbb15b403026cc30bb8005220924fe56d7a2191a419606ac5aa326245783fe76b937266ced88276
 SHA512 
39f8fd2c0c703f5a59d0343a8eded88fa28780d66ca4a13a8392ed7bd831fc6b91d268efc82cf76afb263c0291fc3fbb22551b0230c74bef160db86308cab2f9
-EBUILD trytond-5.2.6.ebuild 2894 BLAKE2B 
008eeed0803ebba5444ee0fd0c8c15768f465ce0d1c69b24d9c9259da2d72768221ce5021f69d84a8e6a820226c7853d821487726dcc731ca718e73766f28daa
 SHA512 
c1c1019fe8dff7a1064384875386f63c09bc32b5d599a5b41ce470365b74bf9871ef1bfa427756bc789f352a09197c5e4e36320606e53982d0ba93d5c86cbfd9
+EBUILD trytond-4.4.26.ebuild 2787 BLAKE2B 
d8cb104661475046807012525cd2ab1fa73d2147ba6b6201e170711c219a228f2945e7d56bb2889f291fe12cf5cd9dafb8c0adf50f989a98f69d8bfdc7735749
 SHA512 
86499d7bdb3c336ff998257718f1349ae6c0aa255dc1fdf923c4c66aa0f9dbbed960f833d13dd278549853b2424cd8003f722864ef5f1e8ec6cbdac2b52eaa89
+EBUILD trytond-4.6.21.ebuild 2855 BLAKE2B 
3967410b52e2876e16cb495f4ef602e9afd00e0c1c8055e053699098f124933464aa6e257619b451514287c056345caf116b651e62537bedf94d6a2de565211c
 SHA512 
7133b7f8bb9b0c298812300fe2536ff7d4190f06da5f4920336a44c45ca35c0b7e4f9a3c226aefa0e86996d4b02468217116fa92fb61a792309416c9f7c62499
+EBUILD trytond-4.8.17.ebuild 2771 BLAKE2B 
834816fb0734aa57cbd3d22e55c95c290568e7b4a3306c2bc584b7bd55ea325d27a3be8a96896e9a4c06a42082740fb044f593071028a64949269cf3bff58e8e
 SHA512 
44f3800d558396ca4254b8293b3b12eaab7f94aef761fe241099bc6461602b70bc54ee480ab7a6c02585bd482ef5526266c59ff2fcf31dcc0e34f9fcb4acde95
+EBUILD trytond-5.0.14.ebuild 2828 BLAKE2B 
28a75a18bfbbac66a963b8ebd7e9bd54a030bd74b1b6826c4cbb15b403026cc30bb8005220924fe56d7a2191a419606ac5aa326245783fe76b937266ced88276
 SHA512 
39f8fd2c0c703f5a59d0343a8eded88fa28780d66ca4a13a8392ed7bd831fc6b91d268efc82cf76afb263c0291fc3fbb22551b0230c74bef160db86308cab2f9
+EBUILD trytond-5.2.7.ebuild 2894 BLAKE2B 
008eeed0803ebba5444ee0fd0c8c15768f465ce0d1c69b24d9c9259da2d72768221ce5021f69d84a8e6a820226c7853d821487726dcc731ca718e73766f28daa
 SHA512 
c1c1019fe8dff7a1064384875386f63c09bc32b5d599a5b41ce470365b74bf9871ef1bfa427756bc789f352a09197c5e4e36320606e53982d0ba93d5c86cbfd9
 MISC ChangeLog 22532 BLAKE2B 
391afdd0a9c008f8d3ab552eec64ffcd171c4df73dd3aefbc4b7834bb2f6ea3edab7821405435f2a9e416563fad3e0a3d75f653872f7244b4768537a544611b4
 SHA512 
f7edb623ed4a20b48ba8e81ee6f0c14942da036b9d37ab5be85ee1aac64e2968f65b4cc1d1c4c9a9c1219ddb020d53ef5ef115cc6acc32fce7ab26ab8a4efb4d
 MISC metadata.xml 660 BLAKE2B 
627ba2c0d0e42f7e01098d96a7a06bfb19628cc427507b8c9135ffb8ade4ee0394694dc9773413ae246500b78a550341570e81f34d5faf64e600f45920198498
 SHA512 
1670b1c7c2eaee7ad1e84b21d3e9f6a2a68417956f0d8dd723bb6ec135620b184e7aee751173fef09d19e14f8a8ee78384a9df179d459b55a27b05dfc46a176e
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2
 
-iQGTBAEBCAB9FiEEdP/VdIYNMe45RAljV09u/05HdRcFAl1+OS9fFIAAAAAALgAo
+iQGTBAEBCAB9FiEEdP/VdIYNMe45RAljV09u/05HdRcFAl2Z7ohfFIAAAAAALgAo
 aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDc0
 RkZENTc0ODYwRDMxRUUzOTQ0MDk2MzU3NEY2RUZGNEU0Nzc1MTcACgkQV09u/05H
-dRduGwgAmqGEOo54ZFpsE0eoTp8cPm+h3Qsd+OjHIJBnqIq9+3Q/wmvRNlxtS09m
-6oLULHMPPMU2dvWUhilIKTWoraJqmSf9JxNIsHP8qoeGOhIHmf/xaU73T3sSXa+M
-QGjZzgF+WFsnVNz6oP34lM6avFrgy2Hpr4Gus+xcpD9Wxdyn9NqQAU5w9asUUSo4
-+ZKGn1SG6iRWLVKGVd2Gh41affYfoawtDUwFxI+nLJE8DwQGtUKVpuYsnojxD+54
-kSVZU55p+hQonYcHzUAODMCCDioy/p30sIgsRxGlPxx+5Wsa+9J0OM6UrWuVU+wt
-kbuIiKzLvZbX5p1M2Wp7xSbIn7oS6w==
-=LqgG
+dRe4ewgAq92vv61FIWqCqmAf8YCaGPKU2toTeiL38NlD6ZxvlB1ALSgVkQv+mtPJ
+ZXhamjHHqox+ZJI+u4J/my7bIg/SRsvo25BT/KNVwHYSc9/OSK4rODAdHMbKv4Px
+P0jkQZPkl/V2SCJVI/+Su/Woty0h5zb+Iv2psOLww5VFE1PURdUCafetcBi6Yp0K
+U9sALVJp+dHPXJp8MgROfY4/uUZNB3oAbAgeHwyzIcr9RzqLRnwxpp/RaTx1upRN
+CpUlqq4ZRvZ5XBCRS+ZACjgVrM2wJ7gxCDS9yz3b3R6ieBuF7JEdvEZLGH7EdfH2
+oYuS8od0yy9q4wGhDKTt+sogllmm2Q==
+=YNlM
 -----END PGP SIGNATURE-----
diff -r 69a37bc3abee -r 6cdff415d3db app-office/trytond/trytond-4.4.25.ebuild
--- a/app-office/trytond/trytond-4.4.25.ebuild  Sun Oct 06 15:37:25 2019 +0200
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,100 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 python3_3 python3_4 python3_5 )
-
-inherit distutils-r1 user
-
-DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
-HOMEPAGE="http://www.tryton.org/";
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc graphviz mysql +postgres sqlite unoconv levenshtein bcrypt test"
-
-RDEPEND="postgres? ( >=dev-python/psycopg-2[$PYTHON_USEDEP] )
-       mysql? ( dev-python/mysql-python[$(python_gen_usedep 'python2*')] )
-       sqlite? ( dev-lang/python:*[sqlite] )
-       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
-       >=dev-python/relatorio-0.2[$PYTHON_USEDEP]
-       dev-python/genshi[$PYTHON_USEDEP]
-       dev-python/python-dateutil[$PYTHON_USEDEP]
-       dev-python/polib[$PYTHON_USEDEP]
-       >=dev-python/python-sql-0.4[$PYTHON_USEDEP]
-       dev-python/werkzeug[$PYTHON_USEDEP]
-       dev-python/wrapt[$PYTHON_USEDEP]
-       unoconv? ( app-office/unoconv[$PYTHON_USEDEP] )
-       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
-       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
-       bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )"
-DEPEND="${RDEPEND}
-       dev-python/setuptools[$PYTHON_USEDEP]
-       doc? ( >=dev-python/sphinx-0.3 )
-       test? (
-               dev-lang/python:*[sqlite]
-               dev-python/mock[$PYTHON_USEDEP]
-               )"
-
-src_compile() {
-       distutils-r1_src_compile
-
-       if use doc; then
-               pushd doc > /dev/null
-               emake html || die "Generation of HTML documentation failed"
-               popd > /dev/null
-       fi
-}
-
-src_install() {
-       distutils-r1_src_install
-
-       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
-       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
-       keepdir /var/log/trytond
-       keepdir /var/lib/trytond
-       fperms 770 /var/lib/trytond
-
-       dodoc CHANGELOG COPYRIGHT README
-       if use doc; then
-               docinto html
-               dodoc -r doc/_build/html/*
-       fi
-}
-
-python_test() {
-       DB_NAME=":memory:" esetup.py test || die
-}
-
-pkg_preinst() {
-       enewgroup trytond
-       enewuser trytond -1 -1 /var/lib/trytond trytond
-
-       fowners trytond:trytond /var/log/trytond
-       fowners trytond:trytond /var/lib/trytond
-}
-
-pkg_postinst() {
-       if use postgres; then
-               elog "In order to setup the initial database, run:"
-               elog "  emerge --config =${CATEGORY}/${PF}"
-               elog "Be sure the database is started before"
-       fi
-}
-
-pquery() {
-       psql -q -At -U postgres -d template1 -c "$@"
-}
-
-pkg_config() {
-       einfo "In the following, the 'postgres' user will be used."
-       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
-               ebegin "Creating database user trytond"
-               createuser --username=postgres --createdb --no-adduser trytond
-               eend $? || die "Failed to create database user"
-       fi
-}
diff -r 69a37bc3abee -r 6cdff415d3db app-office/trytond/trytond-4.4.26.ebuild
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/app-office/trytond/trytond-4.4.26.ebuild  Sun Oct 06 15:39:20 2019 +0200
@@ -0,0 +1,100 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 python3_5 )
+
+inherit distutils-r1 user
+
+DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
+HOMEPAGE="http://www.tryton.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc graphviz mysql +postgres sqlite unoconv levenshtein bcrypt test"
+
+RDEPEND="postgres? ( >=dev-python/psycopg-2[$PYTHON_USEDEP] )
+       mysql? ( dev-python/mysql-python[$(python_gen_usedep 'python2*')] )
+       sqlite? ( dev-lang/python:*[sqlite] )
+       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
+       >=dev-python/relatorio-0.2[$PYTHON_USEDEP]
+       dev-python/genshi[$PYTHON_USEDEP]
+       dev-python/python-dateutil[$PYTHON_USEDEP]
+       dev-python/polib[$PYTHON_USEDEP]
+       >=dev-python/python-sql-0.4[$PYTHON_USEDEP]
+       dev-python/werkzeug[$PYTHON_USEDEP]
+       dev-python/wrapt[$PYTHON_USEDEP]
+       unoconv? ( app-office/unoconv[$PYTHON_USEDEP] )
+       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
+       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
+       bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[$PYTHON_USEDEP]
+       doc? ( >=dev-python/sphinx-0.3 )
+       test? (
+               dev-lang/python:*[sqlite]
+               dev-python/mock[$PYTHON_USEDEP]
+               )"
+
+src_compile() {
+       distutils-r1_src_compile
+
+       if use doc; then
+               pushd doc > /dev/null
+               emake html || die "Generation of HTML documentation failed"
+               popd > /dev/null
+       fi
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
+       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
+       keepdir /var/log/trytond
+       keepdir /var/lib/trytond
+       fperms 770 /var/lib/trytond
+
+       dodoc CHANGELOG COPYRIGHT README
+       if use doc; then
+               docinto html
+               dodoc -r doc/_build/html/*
+       fi
+}
+
+python_test() {
+       DB_NAME=":memory:" esetup.py test || die
+}
+
+pkg_preinst() {
+       enewgroup trytond
+       enewuser trytond -1 -1 /var/lib/trytond trytond
+
+       fowners trytond:trytond /var/log/trytond
+       fowners trytond:trytond /var/lib/trytond
+}
+
+pkg_postinst() {
+       if use postgres; then
+               elog "In order to setup the initial database, run:"
+               elog "  emerge --config =${CATEGORY}/${PF}"
+               elog "Be sure the database is started before"
+       fi
+}
+
+pquery() {
+       psql -q -At -U postgres -d template1 -c "$@"
+}
+
+pkg_config() {
+       einfo "In the following, the 'postgres' user will be used."
+       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
+               ebegin "Creating database user trytond"
+               createuser --username=postgres --createdb --no-adduser trytond
+               eend $? || die "Failed to create database user"
+       fi
+}
diff -r 69a37bc3abee -r 6cdff415d3db app-office/trytond/trytond-4.6.20.ebuild
--- a/app-office/trytond/trytond-4.6.20.ebuild  Sun Oct 06 15:37:25 2019 +0200
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,101 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
-
-inherit distutils-r1 user
-
-DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
-HOMEPAGE="http://www.tryton.org/";
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc graphviz mysql +postgres sqlite unoconv levenshtein bcrypt html2text 
test"
-
-RDEPEND="postgres? ( >=dev-python/psycopg-2[$PYTHON_USEDEP] )
-       mysql? ( dev-python/mysql-python[$(python_gen_usedep 'python2*')] )
-       sqlite? ( dev-lang/python:*[sqlite] )
-       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
-       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
-       dev-python/genshi[$PYTHON_USEDEP]
-       dev-python/python-dateutil[$PYTHON_USEDEP]
-       dev-python/polib[$PYTHON_USEDEP]
-       >=dev-python/python-sql-0.4[$PYTHON_USEDEP]
-       dev-python/werkzeug[$PYTHON_USEDEP]
-       dev-python/wrapt[$PYTHON_USEDEP]
-       unoconv? ( app-office/unoconv[$PYTHON_USEDEP] )
-       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
-       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
-       bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )
-       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )"
-DEPEND="${RDEPEND}
-       dev-python/setuptools[$PYTHON_USEDEP]
-       doc? ( >=dev-python/sphinx-0.3 )
-       test? (
-               dev-lang/python:*[sqlite]
-               dev-python/mock[$PYTHON_USEDEP]
-               )"
-
-src_compile() {
-       distutils-r1_src_compile
-
-       if use doc; then
-               pushd doc > /dev/null
-               emake html || die "Generation of HTML documentation failed"
-               popd > /dev/null
-       fi
-}
-
-src_install() {
-       distutils-r1_src_install
-
-       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
-       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
-       keepdir /var/log/trytond
-       keepdir /var/lib/trytond
-       fperms 770 /var/lib/trytond
-
-       dodoc CHANGELOG COPYRIGHT README
-       if use doc; then
-               docinto html
-               dodoc -r doc/_build/html/*
-       fi
-}
-
-python_test() {
-       DB_NAME=":memory:" esetup.py test || die
-}
-
-pkg_preinst() {
-       enewgroup trytond
-       enewuser trytond -1 -1 /var/lib/trytond trytond
-
-       fowners trytond:trytond /var/log/trytond
-       fowners trytond:trytond /var/lib/trytond
-}
-
-pkg_postinst() {
-       if use postgres; then
-               elog "In order to setup the initial database, run:"
-               elog "  emerge --config =${CATEGORY}/${PF}"
-               elog "Be sure the database is started before"
-       fi
-}
-
-pquery() {
-       psql -q -At -U postgres -d template1 -c "$@"
-}
-
-pkg_config() {
-       einfo "In the following, the 'postgres' user will be used."
-       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
-               ebegin "Creating database user trytond"
-               createuser --username=postgres --createdb --no-adduser trytond
-               eend $? || die "Failed to create database user"
-       fi
-}
diff -r 69a37bc3abee -r 6cdff415d3db app-office/trytond/trytond-4.6.21.ebuild
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/app-office/trytond/trytond-4.6.21.ebuild  Sun Oct 06 15:39:20 2019 +0200
@@ -0,0 +1,101 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
+
+inherit distutils-r1 user
+
+DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
+HOMEPAGE="http://www.tryton.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc graphviz mysql +postgres sqlite unoconv levenshtein bcrypt html2text 
test"
+
+RDEPEND="postgres? ( >=dev-python/psycopg-2[$PYTHON_USEDEP] )
+       mysql? ( dev-python/mysql-python[$(python_gen_usedep 'python2*')] )
+       sqlite? ( dev-lang/python:*[sqlite] )
+       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
+       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
+       dev-python/genshi[$PYTHON_USEDEP]
+       dev-python/python-dateutil[$PYTHON_USEDEP]
+       dev-python/polib[$PYTHON_USEDEP]
+       >=dev-python/python-sql-0.4[$PYTHON_USEDEP]
+       dev-python/werkzeug[$PYTHON_USEDEP]
+       dev-python/wrapt[$PYTHON_USEDEP]
+       unoconv? ( app-office/unoconv[$PYTHON_USEDEP] )
+       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
+       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
+       bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )
+       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[$PYTHON_USEDEP]
+       doc? ( >=dev-python/sphinx-0.3 )
+       test? (
+               dev-lang/python:*[sqlite]
+               dev-python/mock[$PYTHON_USEDEP]
+               )"
+
+src_compile() {
+       distutils-r1_src_compile
+
+       if use doc; then
+               pushd doc > /dev/null
+               emake html || die "Generation of HTML documentation failed"
+               popd > /dev/null
+       fi
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
+       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
+       keepdir /var/log/trytond
+       keepdir /var/lib/trytond
+       fperms 770 /var/lib/trytond
+
+       dodoc CHANGELOG COPYRIGHT README
+       if use doc; then
+               docinto html
+               dodoc -r doc/_build/html/*
+       fi
+}
+
+python_test() {
+       DB_NAME=":memory:" esetup.py test || die
+}
+
+pkg_preinst() {
+       enewgroup trytond
+       enewuser trytond -1 -1 /var/lib/trytond trytond
+
+       fowners trytond:trytond /var/log/trytond
+       fowners trytond:trytond /var/lib/trytond
+}
+
+pkg_postinst() {
+       if use postgres; then
+               elog "In order to setup the initial database, run:"
+               elog "  emerge --config =${CATEGORY}/${PF}"
+               elog "Be sure the database is started before"
+       fi
+}
+
+pquery() {
+       psql -q -At -U postgres -d template1 -c "$@"
+}
+
+pkg_config() {
+       einfo "In the following, the 'postgres' user will be used."
+       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
+               ebegin "Creating database user trytond"
+               createuser --username=postgres --createdb --no-adduser trytond
+               eend $? || die "Failed to create database user"
+       fi
+}
diff -r 69a37bc3abee -r 6cdff415d3db app-office/trytond/trytond-4.8.16.ebuild
--- a/app-office/trytond/trytond-4.8.16.ebuild  Sun Oct 06 15:37:25 2019 +0200
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,100 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
-
-inherit distutils-r1 user
-
-DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
-HOMEPAGE="http://www.tryton.org/";
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text test"
-
-RDEPEND="postgres? ( >=dev-python/psycopg-2[$PYTHON_USEDEP] )
-       sqlite? ( dev-lang/python:*[sqlite] )
-       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
-       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
-       dev-python/genshi[$PYTHON_USEDEP]
-       dev-python/python-dateutil[$PYTHON_USEDEP]
-       dev-python/polib[$PYTHON_USEDEP]
-       >=dev-python/python-sql-0.4[$PYTHON_USEDEP]
-       dev-python/werkzeug[$PYTHON_USEDEP]
-       dev-python/wrapt[$PYTHON_USEDEP]
-       virtual/python-ipaddress[$PYTHON_USEDEP]
-       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
-       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
-       bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )
-       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )"
-DEPEND="${RDEPEND}
-       dev-python/setuptools[$PYTHON_USEDEP]
-       doc? ( >=dev-python/sphinx-0.3 )
-       test? (
-               dev-lang/python:*[sqlite]
-               dev-python/mock[$PYTHON_USEDEP]
-               )"
-
-src_compile() {
-       distutils-r1_src_compile
-
-       if use doc; then
-               pushd doc > /dev/null
-               emake html || die "Generation of HTML documentation failed"
-               popd > /dev/null
-       fi
-}
-
-src_install() {
-       distutils-r1_src_install
-
-       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
-       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
-       keepdir /var/log/trytond
-       keepdir /var/lib/trytond
-       fperms 770 /var/lib/trytond
-
-       dodoc CHANGELOG COPYRIGHT README
-       if use doc; then
-               docinto html
-               dodoc -r doc/_build/html/*
-       fi
-}
-
-python_test() {
-       DB_NAME=":memory:" esetup.py test || die
-}
-
-pkg_preinst() {
-       enewgroup trytond
-       enewuser trytond -1 -1 /var/lib/trytond trytond
-
-       fowners trytond:trytond /var/log/trytond
-       fowners trytond:trytond /var/lib/trytond
-}
-
-pkg_postinst() {
-       if use postgres; then
-               elog "In order to setup the initial database, run:"
-               elog "  emerge --config =${CATEGORY}/${PF}"
-               elog "Be sure the database is started before"
-       fi
-}
-
-pquery() {
-       psql -q -At -U postgres -d template1 -c "$@"
-}
-
-pkg_config() {
-       einfo "In the following, the 'postgres' user will be used."
-       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
-               ebegin "Creating database user trytond"
-               createuser --username=postgres --createdb --no-adduser trytond
-               eend $? || die "Failed to create database user"
-       fi
-}
diff -r 69a37bc3abee -r 6cdff415d3db app-office/trytond/trytond-4.8.17.ebuild
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/app-office/trytond/trytond-4.8.17.ebuild  Sun Oct 06 15:39:20 2019 +0200
@@ -0,0 +1,100 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
+
+inherit distutils-r1 user
+
+DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
+HOMEPAGE="http://www.tryton.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text test"
+
+RDEPEND="postgres? ( >=dev-python/psycopg-2[$PYTHON_USEDEP] )
+       sqlite? ( dev-lang/python:*[sqlite] )
+       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
+       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
+       dev-python/genshi[$PYTHON_USEDEP]
+       dev-python/python-dateutil[$PYTHON_USEDEP]
+       dev-python/polib[$PYTHON_USEDEP]
+       >=dev-python/python-sql-0.4[$PYTHON_USEDEP]
+       dev-python/werkzeug[$PYTHON_USEDEP]
+       dev-python/wrapt[$PYTHON_USEDEP]
+       virtual/python-ipaddress[$PYTHON_USEDEP]
+       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
+       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
+       bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )
+       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[$PYTHON_USEDEP]
+       doc? ( >=dev-python/sphinx-0.3 )
+       test? (
+               dev-lang/python:*[sqlite]
+               dev-python/mock[$PYTHON_USEDEP]
+               )"
+
+src_compile() {
+       distutils-r1_src_compile
+
+       if use doc; then
+               pushd doc > /dev/null
+               emake html || die "Generation of HTML documentation failed"
+               popd > /dev/null
+       fi
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
+       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
+       keepdir /var/log/trytond
+       keepdir /var/lib/trytond
+       fperms 770 /var/lib/trytond
+
+       dodoc CHANGELOG COPYRIGHT README
+       if use doc; then
+               docinto html
+               dodoc -r doc/_build/html/*
+       fi
+}
+
+python_test() {
+       DB_NAME=":memory:" esetup.py test || die
+}
+
+pkg_preinst() {
+       enewgroup trytond
+       enewuser trytond -1 -1 /var/lib/trytond trytond
+
+       fowners trytond:trytond /var/log/trytond
+       fowners trytond:trytond /var/lib/trytond
+}
+
+pkg_postinst() {
+       if use postgres; then
+               elog "In order to setup the initial database, run:"
+               elog "  emerge --config =${CATEGORY}/${PF}"
+               elog "Be sure the database is started before"
+       fi
+}
+
+pquery() {
+       psql -q -At -U postgres -d template1 -c "$@"
+}
+
+pkg_config() {
+       einfo "In the following, the 'postgres' user will be used."
+       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
+               ebegin "Creating database user trytond"
+               createuser --username=postgres --createdb --no-adduser trytond
+               eend $? || die "Failed to create database user"
+       fi
+}
diff -r 69a37bc3abee -r 6cdff415d3db app-office/trytond/trytond-5.0.13.ebuild
--- a/app-office/trytond/trytond-5.0.13.ebuild  Sun Oct 06 15:37:25 2019 +0200
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,101 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python{3_4,3_5,3_6} )
-
-inherit distutils-r1 user
-
-DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
-HOMEPAGE="http://www.tryton.org/";
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text test"
-
-RDEPEND="postgres? ( >=dev-python/psycopg-2[$PYTHON_USEDEP] )
-       sqlite? ( dev-lang/python:*[sqlite] )
-       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
-       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
-       dev-python/genshi[$PYTHON_USEDEP]
-       dev-python/python-dateutil[$PYTHON_USEDEP]
-       dev-python/polib[$PYTHON_USEDEP]
-       >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
-       dev-python/werkzeug[$PYTHON_USEDEP]
-       dev-python/wrapt[$PYTHON_USEDEP]
-       dev-python/passlib[$PYTHON_USEDEP]
-       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
-       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
-       bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )
-       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )"
-DEPEND="${RDEPEND}
-       dev-python/setuptools[$PYTHON_USEDEP]
-       doc? ( >=dev-python/sphinx-0.3 )
-       test? (
-               dev-lang/python:*[sqlite]
-               )"
-
-src_compile() {
-       distutils-r1_src_compile
-
-       if use doc; then
-               pushd doc > /dev/null
-               emake html || die "Generation of HTML documentation failed"
-               popd > /dev/null
-       fi
-}
-
-src_install() {
-       distutils-r1_src_install
-
-       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
-       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
-       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
-       keepdir /var/log/trytond
-       keepdir /var/lib/trytond
-       fperms 770 /var/lib/trytond
-
-       dodoc CHANGELOG COPYRIGHT README
-       if use doc; then
-               docinto html
-               dodoc -r doc/_build/html/*
-       fi
-}
-
-python_test() {
-       DB_NAME=":memory:" esetup.py test || die
-}
-
-pkg_preinst() {
-       enewgroup trytond
-       enewuser trytond -1 -1 /var/lib/trytond trytond
-
-       fowners trytond:trytond /var/log/trytond
-       fowners trytond:trytond /var/lib/trytond
-}
-
-pkg_postinst() {
-       if use postgres; then
-               elog "In order to setup the initial database, run:"
-               elog "  emerge --config =${CATEGORY}/${PF}"
-               elog "Be sure the database is started before"
-       fi
-}
-
-pquery() {
-       psql -q -At -U postgres -d template1 -c "$@"
-}
-
-pkg_config() {
-       einfo "In the following, the 'postgres' user will be used."
-       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
-               ebegin "Creating database user trytond"
-               createuser --username=postgres --createdb --no-adduser trytond
-               eend $? || die "Failed to create database user"
-       fi
-}
diff -r 69a37bc3abee -r 6cdff415d3db app-office/trytond/trytond-5.0.14.ebuild
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/app-office/trytond/trytond-5.0.14.ebuild  Sun Oct 06 15:39:20 2019 +0200
@@ -0,0 +1,101 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+
+inherit distutils-r1 user
+
+DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
+HOMEPAGE="http://www.tryton.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text test"
+
+RDEPEND="postgres? ( >=dev-python/psycopg-2[$PYTHON_USEDEP] )
+       sqlite? ( dev-lang/python:*[sqlite] )
+       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
+       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
+       dev-python/genshi[$PYTHON_USEDEP]
+       dev-python/python-dateutil[$PYTHON_USEDEP]
+       dev-python/polib[$PYTHON_USEDEP]
+       >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
+       dev-python/werkzeug[$PYTHON_USEDEP]
+       dev-python/wrapt[$PYTHON_USEDEP]
+       dev-python/passlib[$PYTHON_USEDEP]
+       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
+       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
+       bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )
+       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[$PYTHON_USEDEP]
+       doc? ( >=dev-python/sphinx-0.3 )
+       test? (
+               dev-lang/python:*[sqlite]
+               )"
+
+src_compile() {
+       distutils-r1_src_compile
+
+       if use doc; then
+               pushd doc > /dev/null
+               emake html || die "Generation of HTML documentation failed"
+               popd > /dev/null
+       fi
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
+       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
+       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
+       keepdir /var/log/trytond
+       keepdir /var/lib/trytond
+       fperms 770 /var/lib/trytond
+
+       dodoc CHANGELOG COPYRIGHT README
+       if use doc; then
+               docinto html
+               dodoc -r doc/_build/html/*
+       fi
+}
+
+python_test() {
+       DB_NAME=":memory:" esetup.py test || die
+}
+
+pkg_preinst() {
+       enewgroup trytond
+       enewuser trytond -1 -1 /var/lib/trytond trytond
+
+       fowners trytond:trytond /var/log/trytond
+       fowners trytond:trytond /var/lib/trytond
+}
+
+pkg_postinst() {
+       if use postgres; then
+               elog "In order to setup the initial database, run:"
+               elog "  emerge --config =${CATEGORY}/${PF}"
+               elog "Be sure the database is started before"
+       fi
+}
+
+pquery() {
+       psql -q -At -U postgres -d template1 -c "$@"
+}
+
+pkg_config() {
+       einfo "In the following, the 'postgres' user will be used."
+       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
+               ebegin "Creating database user trytond"
+               createuser --username=postgres --createdb --no-adduser trytond
+               eend $? || die "Failed to create database user"
+       fi
+}
diff -r 69a37bc3abee -r 6cdff415d3db app-office/trytond/trytond-5.2.6.ebuild
--- a/app-office/trytond/trytond-5.2.6.ebuild   Sun Oct 06 15:37:25 2019 +0200
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,102 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python{3_5,3_6} )
-
-inherit distutils-r1 user
-
-DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
-HOMEPAGE="http://www.tryton.org/";
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text 
coroutine test"
-
-RDEPEND="postgres? ( >=dev-python/psycopg-2[$PYTHON_USEDEP] )
-       sqlite? ( dev-lang/python:*[sqlite] )
-       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
-       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
-       dev-python/genshi[$PYTHON_USEDEP]
-       dev-python/python-dateutil[$PYTHON_USEDEP]
-       dev-python/polib[$PYTHON_USEDEP]
-       >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
-       dev-python/werkzeug[$PYTHON_USEDEP]
-       dev-python/wrapt[$PYTHON_USEDEP]
-       dev-python/passlib[$PYTHON_USEDEP]
-       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
-       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
-       bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )
-       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
-       coroutine? ( >=dev-python/gevent-1.1[$PYTHON_USEDEP] )"
-DEPEND="${RDEPEND}
-       dev-python/setuptools[$PYTHON_USEDEP]
-       doc? ( >=dev-python/sphinx-0.3 )
-       test? (
-               dev-lang/python:*[sqlite]
-               )"
-
-src_compile() {
-       distutils-r1_src_compile
-
-       if use doc; then
-               pushd doc > /dev/null
-               emake html || die "Generation of HTML documentation failed"
-               popd > /dev/null
-       fi
-}
-
-src_install() {
-       distutils-r1_src_install
-
-       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
-       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
-       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
-       keepdir /var/log/trytond
-       keepdir /var/lib/trytond
-       fperms 770 /var/lib/trytond
-
-       dodoc CHANGELOG COPYRIGHT README.rst
-       if use doc; then
-               docinto html
-               dodoc -r doc/_build/html/*
-       fi
-}
-
-python_test() {
-       DB_NAME=":memory:" esetup.py test || die
-}
-
-pkg_preinst() {
-       enewgroup trytond
-       enewuser trytond -1 -1 /var/lib/trytond trytond
-
-       fowners trytond:trytond /var/log/trytond
-       fowners trytond:trytond /var/lib/trytond
-}
-
-pkg_postinst() {
-       if use postgres; then
-               elog "In order to setup the initial database, run:"
-               elog "  emerge --config =${CATEGORY}/${PF}"
-               elog "Be sure the database is started before"
-       fi
-}
-
-pquery() {
-       psql -q -At -U postgres -d template1 -c "$@"
-}
-
-pkg_config() {
-       einfo "In the following, the 'postgres' user will be used."
-       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
-               ebegin "Creating database user trytond"
-               createuser --username=postgres --createdb --no-adduser trytond
-               eend $? || die "Failed to create database user"
-       fi
-}
diff -r 69a37bc3abee -r 6cdff415d3db app-office/trytond/trytond-5.2.7.ebuild
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/app-office/trytond/trytond-5.2.7.ebuild   Sun Oct 06 15:39:20 2019 +0200
@@ -0,0 +1,102 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_5,3_6} )
+
+inherit distutils-r1 user
+
+DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
+HOMEPAGE="http://www.tryton.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text 
coroutine test"
+
+RDEPEND="postgres? ( >=dev-python/psycopg-2[$PYTHON_USEDEP] )
+       sqlite? ( dev-lang/python:*[sqlite] )
+       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
+       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
+       dev-python/genshi[$PYTHON_USEDEP]
+       dev-python/python-dateutil[$PYTHON_USEDEP]
+       dev-python/polib[$PYTHON_USEDEP]
+       >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
+       dev-python/werkzeug[$PYTHON_USEDEP]
+       dev-python/wrapt[$PYTHON_USEDEP]
+       dev-python/passlib[$PYTHON_USEDEP]
+       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
+       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
+       bcrypt? ( dev-python/bcrypt[$PYTHON_USEDEP] )
+       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
+       coroutine? ( >=dev-python/gevent-1.1[$PYTHON_USEDEP] )"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[$PYTHON_USEDEP]
+       doc? ( >=dev-python/sphinx-0.3 )
+       test? (
+               dev-lang/python:*[sqlite]
+               )"
+
+src_compile() {
+       distutils-r1_src_compile
+
+       if use doc; then
+               pushd doc > /dev/null
+               emake html || die "Generation of HTML documentation failed"
+               popd > /dev/null
+       fi
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
+       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
+       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
+       keepdir /var/log/trytond
+       keepdir /var/lib/trytond
+       fperms 770 /var/lib/trytond
+
+       dodoc CHANGELOG COPYRIGHT README.rst
+       if use doc; then
+               docinto html
+               dodoc -r doc/_build/html/*
+       fi
+}
+
+python_test() {
+       DB_NAME=":memory:" esetup.py test || die
+}
+
+pkg_preinst() {
+       enewgroup trytond
+       enewuser trytond -1 -1 /var/lib/trytond trytond
+
+       fowners trytond:trytond /var/log/trytond
+       fowners trytond:trytond /var/lib/trytond
+}
+
+pkg_postinst() {
+       if use postgres; then
+               elog "In order to setup the initial database, run:"
+               elog "  emerge --config =${CATEGORY}/${PF}"
+               elog "Be sure the database is started before"
+       fi
+}
+
+pquery() {
+       psql -q -At -U postgres -d template1 -c "$@"
+}
+
+pkg_config() {
+       einfo "In the following, the 'postgres' user will be used."
+       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
+               ebegin "Creating database user trytond"
+               createuser --username=postgres --createdb --no-adduser trytond
+               eend $? || die "Failed to create database user"
+       fi
+}

Reply via email to